diff -u -r -N x264-0.129-orig/common/common.c x264-0.129/common/common.c
--- x264-0.129-orig/common/common.c	2013-01-24 23:45:03.000000000 +0200
+++ x264-0.129/common/common.c	2013-01-29 17:29:58.000000000 +0200
@@ -564,6 +564,9 @@
 
 #define atobool(str) ( name_was_bool = 1, x264_atobool( str, &b_error ) )
 #define atoi(str) x264_atoi( str, &b_error )
+#ifdef __QNXNTO__
+#undef atof
+#endif /* __QNXNTO__ */
 #define atof(str) x264_atof( str, &b_error )
 
 int x264_param_parse( x264_param_t *p, const char *name, const char *value )
diff -u -r -N x264-0.129-orig/configure x264-0.129/configure
--- x264-0.129-orig/configure	2013-01-24 23:45:03.000000000 +0200
+++ x264-0.129/configure	2013-01-29 17:27:10.000000000 +0200
@@ -521,6 +521,13 @@
         fi
         HAVE_GETOPT_LONG=0
         ;;
+    *qnx*)
+        SYS="QNX"
+        define HAVE_MALLOC_H
+        HAVE_GETOPT_LONG=0
+        CFLAGS="$CFLAGS -I\$(SRCPATH)/extras"
+        libm="-lm"
+        ;;
     *)
         die "Unknown system $host, edit the configure"
         ;;
@@ -770,6 +777,9 @@
                 thread="win32"
             fi
             ;;
+        QNX)
+            cc_check pthread.h -lc && thread="posix" && libpthread="-lc"
+            ;;
         *)
             cc_check pthread.h -lpthread && thread="posix" && libpthread="-lpthread"
             ;;
diff -u -r -N x264-0.129-orig/x264.h x264-0.129/x264.h
--- x264-0.129-orig/x264.h	2013-01-24 23:45:03.000000000 +0200
+++ x264-0.129/x264.h	2013-01-29 17:21:15.000000000 +0200
@@ -29,6 +29,7 @@
 #define X264_X264_H
 
 #if !defined(_STDINT_H) && !defined(_STDINT_H_) && \
+    !defined(_STDINT_H_INCLUDED) && \
     !defined(_INTTYPES_H) && !defined(_INTTYPES_H_)
 # ifdef _MSC_VER
 #  pragma message("You must include stdint.h or inttypes.h before x264.h")